Bug 438871 - (CVE-2008-1467) CVE-2008-1467 CenterIM passes unescaped URLs to shell
CVE-2008-1467 CenterIM passes unescaped URLs to shell
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-25 13:41 EDT by Lubomir Kundrak
Modified: 2008-04-24 07:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 07:43:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2008-03-25 13:41:46 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1467 to the following vulnerability:

CenterIM 4.22.3 and earlier allows remote attackers to execute arbitrary commands via shell metacharacters in a URI, related to "received URLs in the message window."

References:

http://www.milw0rm.com/exploits/5283
http://www.securityfocus.com/bid/28362
http://www.frsirt.com/english/advisories/2008/0956/references
http://secunia.com/advisories/29489
Comment 1 Lubomir Kundrak 2008-03-26 03:26:32 EDT
Patch in rawhide.
Stables will be updated in about a week, together with Yahoo IM fixes.
Comment 2 Fedora Update System 2008-04-01 17:37:16 EDT
centerim-4.22.4-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2008-04-01 17:37:28 EDT
centerim-4.22.4-1.fc7.1 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Red Hat Product Security 2008-04-24 07:43:42 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-2869
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-2867


Note You need to log in before you can comment on or make changes to this bug.